kdk::KNativeTabbar(3)

NAME
kdk::KNativeTabbar

SYNOPSIS

Inherits KCustomTabBar.

  Signals

void rightlicked (QPoint point)
鼠标右键信号

Signals inherited from KCustomTabBar
void currentChanged (int index)
void tabCloseRequested (int index)
void tabMoved (int from, int to)
void tabBarClicked (int index)
void tabBarDoubleClicked (int index)
void leftBStatus (bool flag)
void rightBStatus (bool flag)

  Public Member Functions

KNativeTabbar (KNativeTabbarStyle barStyle=SegmentLight, QWidget *parent=nullptr)
void setTabbarStyle (KNativeTabbarStyle barStyle)
设置TabBar样式
KNativeTabbarStyle barStyle ()
返回TabBar样式
void setBorderRadius (int radius)
设置圆角半径，只对SegmentDark，SegmentLight样式生效
int borderRadius ()
获取圆角半径
void setBackgroundColor (const QColor &color)
设置背景色

Public Member Functions inherited from KCustomTabBar
KCustomTabBar (QWidget *parent=nullptr)
Shape shape () const
void setShape (Shape shape)
int addTab (const QString &text)
int addTab (const QIcon &icon, const QString &text)
int insertTab (int index, const QString &text)
int insertTab (int index, const QIcon &icon, const QString &text)
void removeTab (int index)
void moveTab (int from, int to)
bool isTabEnabled (int index) const
void setTabEnabled (int index, bool)
QString tabText (int index) const
void setTabText (int index, const QString &text)
void setTabContent (int index, const QString &text)
QColor tabTextColor (int index) const
void setTabTextColor (int index, const QColor &color)
QIcon tabIcon (int index) const
void setTabIcon (int index, const QIcon &icon)
Qt::TextElideMode elideMode () const
void setElideMode (Qt::TextElideMode)
void setTabToolTip (int index, const QString &tip)
QString tabToolTip (int index) const
void setTabWhatsThis (int index, const QString &text)
QString tabWhatsThis (int index) const
void setTabData (int index, const QVariant &data)
QVariant tabData (int index) const
QRect tabRect (int index) const
int tabAt (const QPoint &pos) const
int currentIndex () const
int count () const
QSize sizeHint () const override
QSize minimumSizeHint () const override
void setDrawBase (bool drawTheBase)
bool drawBase () const
QSize iconSize () const
void setIconSize (const QSize &size)
bool usesScrollButtons () const
void setUsesScrollButtons (bool useButtons)
bool tabsClosable () const
void setTabsClosable (bool closable)
void setTabButton (int index, ButtonPosition position, QWidget *widget)
QWidget * tabButton (int index, ButtonPosition position) const
SelectionBehavior selectionBehaviorOnRemove () const
void setSelectionBehaviorOnRemove (SelectionBehavior behavior)
bool expanding () const
void setExpanding (bool enabled)
bool isMovable () const
void setMovable (bool movable)
bool documentMode () const
void setDocumentMode (bool set)
bool autoHide () const
void setAutoHide (bool hide)
bool changeCurrentOnDrag () const
void setChangeCurrentOnDrag (bool change)
QString accessibleTabName (int index) const
void setAccessibleTabName (int index, const QString &name)

  Protected Member Functions

QSize sizeHint () const
QSize minimumTabSizeHint (int index) const
QSize tabSizeHint (int index) const
void paintEvent (QPaintEvent *event)

Protected Member Functions inherited from KCustomTabBar
virtual void tabInserted (int index)
virtual void tabRemoved (int index)
virtual void tabLayoutChange ()
bool event (QEvent *) override
void resizeEvent (QResizeEvent *) override
void showEvent (QShowEvent *) override
void hideEvent (QHideEvent *) override
void paintEvent (QPaintEvent *) override
void mousePressEvent (QMouseEvent *) override
void mouseMoveEvent (QMouseEvent *) override
void mouseReleaseEvent (QMouseEvent *) override
void wheelEvent (QWheelEvent *event) override
void keyPressEvent (QKeyEvent *) override
void changeEvent (QEvent *) override
void timerEvent (QTimerEvent *event) override
void initStyleOption (QStyleOptionTab *option, int tabIndex) const

  Additional Inherited Members

Public Types inherited from KCustomTabBar
enum Shape { RoundedNorth, RoundedSouth, RoundedWest, RoundedEast, TriangularNorth, TriangularSouth, TriangularWest, TriangularEast }
enum ButtonPosition { LeftSide, RightSide }
enum SelectionBehavior { SelectLeftTab, SelectRightTab, SelectPreviousTab }

Public Slots inherited from KCustomTabBar
void setCurrentIndex (int index)
void leftScrollTabs ()
void rightScrollTabs ()
void closeTab ()

Properties inherited from KCustomTabBar
Shape shape
int currentIndex
int count
bool drawBase
QSize iconSize
Qt::TextElideMode elideMode
bool usesScrollButtons
bool tabsClosable
SelectionBehavior selectionBehaviorOnRemove
bool expanding
bool movable
bool documentMode
bool autoHide
bool changeCurrentOnDrag

Member Function Documentation

  KNativeTabbarStyle kdk::KNativeTabbar::barStyle ()

返回TabBar样式

Returns

  int kdk::KNativeTabbar::borderRadius ()

获取圆角半径

Returns

  QSize kdk::KNativeTabbar::minimumTabSizeHint (int index) const [protected], [virtual]

Reimplemented from KCustomTabBar.

  void kdk::KNativeTabbar::rightlicked (QPoint point) [signal]

鼠标右键信号

Parameters
    point

  void kdk::KNativeTabbar::setBackgroundColor (const QColor & color)

设置背景色

Parameters
    color

  void kdk::KNativeTabbar::setBorderRadius (int radius)

设置圆角半径，只对SegmentDark，SegmentLight样式生效

Parameters
    radius

  void kdk::KNativeTabbar::setTabbarStyle (KNativeTabbarStyle barStyle)

设置TabBar样式

Parameters
    barStyle

  QSize kdk::KNativeTabbar::tabSizeHint (int index) const [protected], [virtual]

Reimplemented from KCustomTabBar.

Author

Generated automatically by Doxygen for LIBKYSDK-APPLICATIONS from the source code.